
package com.sf.service.gateway.domain.dto;

import com.sf.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 功能描述:
 *  查询网关策略
 * @author a_kun
 * @date 2024/4/23 10:38
 */
@ApiModel("查询网关策略DTO")
@Data
public class QueryGatewayStrategyDTO {

    @ApiModelProperty("ids")
    private List<Long> ids;

    @ApiModelProperty("状态（0停用 1启用）")
    private String status;

    @ApiModelProperty("需要排除的id")
    private List<Long> excludedIds;

    @ApiModelProperty("策略名称")
    private String strategyName;

    @ApiModelProperty("策略类型")
    private String strategyType;

    private String appCode;
}
